Modify

Opened 3 years ago

Last modified 3 years ago

#18591 new enhancement

Luci default collection requires luci-proto-ppp

Reported by: anonymous Owned by:
Priority: low Milestone: Features Paradise
Component: luci Version: Barrier Breaker 14.07
Keywords: luci ppp Cc:

Description

The default luci collection automatically selects "luci-proto-ppp" package. Is that a requirement for luci for function? PPP protocol is not required for connection to cable modem or dorm WAN socket where IP addresses are automatically assigned.

Can you consider excluding luci-proto-ppp if kmod-ppp and ppp is not selected?

This is the luci Makefile that forced inclusion of luci-proto-ppp:

define collection
  define Package/luci$(if $(1),-$(1))
    SECTION:=luci
    CATEGORY:=LuCI
    TITLE:=LuCI - Lua Configuration Interface
    URL:=http://luci.subsignal.org/
    MAINTAINER:=LuCI Development Team <luci@lists.subsignal.org>
    SUBMENU:=1. Collections
    TITLE:=$(if $(2),$(2),LuCI $(if $(1),$(1),general) collection)
    $(if $(3),DEPENDS:=$(3))
  endef

  define Package/luci$(if $(1),-$(1))/install
        true
  endef

  LUCI_BUILD_PACKAGES += luci$(if $(1),-$(1))
endef

$(eval $(call collection,,\
        Standard OpenWrt set including full admin with ppp support and the \
        default OpenWrt theme,\
        +uhttpd +uhttpd-mod-ubus +luci-mod-admin-full +luci-theme-bootstrap \
        +luci-app-firewall +luci-proto-ppp +libiwinfo-lua +luci-lib-nixio))

Attachments (0)

Change History (1)

comment:1 Changed 3 years ago by jow

  • Milestone changed from Barrier Breaker 14.07 to Features Paradise
  • Priority changed from high to low

Add Comment

Modify Ticket

Action
as new .
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.